Skip to main content
GET
/
dca
/
token
/
{mint}
/
buyers
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getDcaTokenBuyers('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', { sort: 'volume', limit: 10 });
curl --request GET \
  --url https://data.solanatracker.io/dca/token/{mint}/buyers \
  --header 'x-api-key: <api-key>'
import requests

url = "https://data.solanatracker.io/dca/token/{mint}/buyers"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://data.solanatracker.io/dca/token/{mint}/buyers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "mint": "So11111111111111111111111111111111111111112",
  "orders": [
    {
      "program": "jupiter",
      "programId": "DCA265Vj8a9CEuX1eb1LWRnDT7uK6q1xMipnNyatn23M",
      "address": "125PQmudTAXHUUGxtSra1xTzGu3NRCMbRU7i9cikEpwd",
      "owner": "2FbbdMWfrfGpyyK4Wh76vyxbmDGcp3LxZNhwBwFpV5UK",
      "status": "active",
      "direction": "buying",
      "pair": "USDC → SOL",
      "input": {
        "mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "symbol": "USDC",
        "name": "USD Coin",
        "decimals": 6,
        "image": "https://image.solanatracker.io/proxy?url=example",
        "uri": "https://example.com",
        "description": "",
        "twitter": null,
        "website": null,
        "hasFileMetaData": true,
        "priceUsd": 1
      },
      "output": {
        "mint": "So11111111111111111111111111111111111111112",
        "symbol": "SOL",
        "name": "Wrapped SOL",
        "decimals": 9,
        "image": "https://image.solanatracker.io/proxy?url=example-sol",
        "priceUsd": 142.5
      },
      "deposited": 1000,
      "depositedUsd": 1000,
      "used": 200,
      "usedUsd": 200,
      "remaining": 800,
      "remainingUsd": 800,
      "received": 5.2,
      "receivedUsd": 741,
      "perCycle": 50,
      "perCycleUsd": 50,
      "frequency": "1h",
      "progressPercent": 20,
      "volume": 5.2,
      "volumeUsd": 741,
      "createdAt": "2024-01-01T00:00:00.000Z",
      "nextCycleAt": "2024-01-02T00:00:00.000Z",
      "raw": {
        "deposited": "1000000000",
        "used": "200000000"
      }
    }
  ],
  "pagination": {
    "limit": 200,
    "nextCursor": null,
    "hasMore": false,
    "count": 1,
    "total": 1
  }
}
{
  "error": {
    "code": "INVALID_MINT",
    "message": "Invalid mint address"
  }
}
{
  "error": {
    "code": "SERVER_ERROR",
    "message": "Internal server error"
  }
}

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getDcaTokenBuyers('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', { sort: 'volume', limit: 10 });

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

mint
string
required

Query Parameters

program
string
default:jupiter

DCA program to query. Aliases: dex, platform. Default: jupiter. Use GET /dca/programs for supported ids.

limit
integer
default:200

Max results. Default 200, max 1000.

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor — last order address from the previous page. Must be used with the same sort, status, and program. Invalid cursor returns 400 INVALID_CURSOR.

sort
enum<string>
default:volume

Sort field. Alias: sortBy. Default: volume.

Available options:
volume,
deposited,
remaining,
progress,
recent,
created,
status
status
enum<string>
default:all

Filter by order status. Default: all.

Available options:
active,
paused,
completed,
pending,
all

Response

Successful response

mint
string
orders
object[]
pagination
object